Invitation Get
Retrieve the details of an invitation by its identifier. This endpoint is publicly accessible and can be used to show invitation details before the client's registration flow.
Retrieve the details of an invitation by its identifier. This endpoint is publicly accessible and can be used to show invitation details before the client's registration flow.
storyden-session<token>invitation_id*stringUnique invitation ID.
xidOK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
creator*A minimal reference to an account.
message?stringcurl -X GET 'https://example.com/api/invitations/string'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "creator": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "message": "string"}Invitation Delete DELETE
Delete an invitation. After deletion, it cannot be used.
Invitation List GET
Retrieve all invitations for the authenticated account. This endpoint is useful for showing the user which invitations they have sent out and which ones have been accepted. If the requesting account is not an admin, the account_id query param must be equal to the ID of the requesting session account's ID. If the requesting account is an admin, the account_id query param may be used to retrieve invitations for a specific account. Otherwise, the endpoint will return all invitations for all accounts.